RESTinio

Static Public Member Functions | List of all members
restinio::utils::relaxed_unescape_traits Struct Reference

Traits for escaping and unescaping symbols in a query string in very relaxed mode. More...

`#include <percent_encoding.hpp>`

Inheritance diagram for restinio::utils::relaxed_unescape_traits:

## Static Public Member Functions
static bool | ordinary_char (char c) noexcept

## Detailed Description

Traits for escaping and unescaping symbols in a query string in very relaxed mode.

In that mode all characters described in that rule from RCF3986 can be used as unescaped:

    query         = *( pchar / "/" / "?" )
    pchar         = unreserved / pct-encoded / sub-delims / ":" / "@"
    unreserved    = ALPHA / DIGIT / "-" / "." / "_" / "~"
    reserved      = gen-delims / sub-delims
    gen-delims    = ":" / "/" / "?" / "#" / "[" / "]" / "@"
    sub-delims    = "!" / "$" / "&" / "'" / "(" / ")"
                     / "*" / "+" / "," / ";" / "="

Additionaly this traits allows to use unescaped space character.

Since
  v.0.6.5

Definition at line 96 of file percent_encoding.hpp.

## Member Function Documentation

## ◆ ordinary_char()

static bool restinio::utils::relaxed_unescape_traits::ordinary_char | ( | char | c | ) |
| inline static noexcept

Definition at line 99 of file percent_encoding.hpp.

The documentation for this struct was generated from the following file:

- restinio/utils/percent_encoding.hpp